var store = require('../index.js');

var printItem = function (item) {
    console.log(item.title);
    console.log(item.artist);
    console.log(item.format.join(", "));
    console.log(item.priceInCents / 100 + '$ ' + item.currencyCode);
    console.log(item.url);
    console.log();
};

var callbacks = {
  onError: function (error) {
    console.log('onError');
    console.log(error);
    console.log(error.stack);
  },
  onProgress: function (items) {
    console.log('onProgress');
    console.log('number more items: ' + items.length);
  },
  onDone: function (items) {
    console.log('onDone');
    console.log('number all items: ' + items.length + '\n');
    items.map(printItem);
  },
  onCancel: function () {
    console.log('onCancel');
  },
  onItemReject: function (item, errors, store) {
    console.log('onItemReject');
    console.log(errors);
    console.log(item);
  }
};

store.search('XXYYXX', callbacks);
